clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::Inclusion Struct Reference

`#include <Headers.h>`

Collaboration diagram for clang::clangd::Inclusion:
[legend]

## Public Attributes
Range | R
std::string | Written
Path | Resolved
unsigned | HashOffset = 0
SrcMgr::CharacteristicKind | FileKind = SrcMgr::C_User

## Detailed Description

Definition at line 42 of file Headers.h.

## Member Data Documentation

## ◆ FileKind

SrcMgr::CharacteristicKind clang::clangd::Inclusion::FileKind = SrcMgr::C_User

Definition at line 47 of file Headers.h.

## ◆ HashOffset

unsigned clang::clangd::Inclusion::HashOffset = 0

Definition at line 46 of file Headers.h.

## ◆ R

Range clang::clangd::Inclusion::R

Definition at line 43 of file Headers.h.

Referenced by clang::clangd::operator<<().

## ◆ Resolved

Path clang::clangd::Inclusion::Resolved

Definition at line 45 of file Headers.h.

Referenced by clang::clangd::IncludeInserter::addExisting(), and clang::clangd::operator<<().

## ◆ Written

std::string clang::clangd::Inclusion::Written

Definition at line 44 of file Headers.h.

Referenced by clang::clangd::IncludeInserter::addExisting(), and clang::clangd::operator<<().

The documentation for this struct was generated from the following file:

- Headers.h